Last updated: September 23, 2026
Get Office365 Subscriptions
Get Office365 Subscriptions. REQUIRED - UUID of the Office365 provisioning app Optional - re-fetch from Microsoft (default false)
Request
GET
https://superadminuser.miniorange.in/services/api/provisioning/v1/office365/subscriptionsAuthentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| appUuid | String | Optional | REQUIRED - UUID of the Office365 provisioning app |
| fetchFromMS | String | Optional | Optional - re-fetch from Microsoft (default false) |